/**
 *  '$RCSfile: DocInfoHandler.java,v $'
 *    Purpose: a class to handle document info request xml strings
 *  Copyright: 2000 Regents of the University of California and the
 *             National Center for Ecological Analysis and Synthesis
 *    Authors: Chad Berkley
 *    Release: 1.5.0
 *
 *   '$Author: jones $'
 *     '$Date: 2001/01/18 19:51:58 $'
 * '$Revision: 1.2 $'
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

package edu.ucsb.nceas.metacat;

import java.sql.*;
import java.util.Stack;
import java.util.Vector;
import java.util.Enumeration;
import java.util.EmptyStackException;
import java.util.Hashtable;

import org.xml.sax.Attributes;
import org.xml.sax.SAXException;
import org.xml.sax.SAXParseException;
import org.xml.sax.ext.DeclHandler;
import org.xml.sax.ext.LexicalHandler;
import org.xml.sax.helpers.DefaultHandler;

/** 
 * A Class implementing callback bethods for the SAX parser to
 * call when processing the XML messages from the replication handler
 */
public class DocInfoHandler extends DefaultHandler 
{
  private Hashtable docinfo = new Hashtable();
  private String currentTag = null;
  
  public DocInfoHandler()
  {
  }
  
  /**
   *  capture the name of the tag.
   */
  public void startElement(String uri, String localName, String qName, 
                           Attributes attributes) throws SAXException
  {
    currentTag = localName;
  }
  
  /**
   * put the content and the name of the tag into the hashtable.  the name of
   * the tag is the key.
   */
  public void characters(char[] ch, int start, int length) throws SAXException
  {
    docinfo.put(currentTag, new String(ch, start, length));
  }
  
  public Hashtable getDocInfo()
  {
    return docinfo;
  }
}
