/**
 *  '$RCSfile: Version.java,v $'
 *  Copyright: 2004 Regents of the University of California and the
 *             National Center for Ecological Analysis and Synthesis
 *
 *   '$Author: jones $'
 *     '$Date: 2004/03/31 19:42:41 $'
 * '$Revision: 1.1 $'
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
package edu.ucsb.nceas.metacat;


/**
 * @author jones
 *
 * Version represents the current version information for this Metacat instance.
 */
public class Version
{
    /**
     * Get the current version string for this metacat instance.  
     * It is currently stored in the metacat.properties file.
     * 
     * @return a string indicating the version of Metacat running
     */
    public static String getVersion()
    {
        String version = MetaCatUtil.getOption("version");
        return version;
    }
    
    /**
     * Get the version number in an XML document.
     * 
     * @return the version wrapped in an XML document
     */
    public static String getVersionAsXml()
    {
        StringBuffer sb = new StringBuffer();
        sb.append("<?xml version=\"1.0\"?>");
        sb.append("<version>");
        sb.append(Version.getVersion());
        sb.append("</version>");
        return sb.toString();
    }
}
